| Flutter Impeller |

Public Types | Public Member Functions | List of all members
impeller::ResourceVKT< ResourceType_ > Class Template Reference

An internal type that is used to move a resource reference. More...

`#include <resource_manager_vk.h>`

Inheritance diagram for impeller::ResourceVKT< ResourceType_ >:

## Public Types
using | ResourceType = ResourceType_

## Public Member Functions
| ResourceVKT (ResourceType &&resource)
| Construct a resource from a move-constructible resource. More...
const ResourceType * | Get () const
| Returns a pointer to the resource. More...
Public Member Functions inherited from impeller::ResourceVK
virtual | ~ResourceVK ()=default

## Detailed Description

### template<class ResourceType_>
class impeller::ResourceVKT< ResourceType_ >

An internal type that is used to move a resource reference.

            Do not use directly, use `UniqueResourceVKT` instead.

Template Parameters

  ResourceType_ | The type of the resource.

See also
  |UniqueResourceVKT|.

Definition at line 112 of file resource_manager_vk.h.

## Member Typedef Documentation

## ◆ ResourceType

template<class ResourceType_ >

using impeller::ResourceVKT< ResourceType_ >::ResourceType = ResourceType_

Definition at line 114 of file resource_manager_vk.h.

## Constructor & Destructor Documentation

## ◆ ResourceVKT()

template<class ResourceType_ >

impeller::ResourceVKT< ResourceType_ >::ResourceVKT | ( | ResourceType && | resource | ) |
| inlineexplicit

Construct a resource from a move-constructible resource.

Parameters

  [in] | resource | The resource to move.

Definition at line 119 of file resource_manager_vk.h.

120 : resource_(std::move(resource)) {}

## Member Function Documentation

## ◆ Get()

template<class ResourceType_ >

const ResourceType* impeller::ResourceVKT< ResourceType_ >::Get | ( |  | ) | const
| inline

Returns a pointer to the resource.

Definition at line 123 of file resource_manager_vk.h.

123 { return &resource_; }

The documentation for this class was generated from the following file:

- impeller/renderer/backend/vulkan/resource_manager_vk.h